commit: af419e915351e05320baaba58c615b0f174e514f
Author: Alexey Shvetsov <alexxy <AT> gentoo <DOT> org>
AuthorDate: Wed Dec 9 20:07:56 2020 +0000
Commit: Alexey Shvetsov <alexxy <AT> gentoo <DOT> org>
CommitDate: Wed Dec 9 20:08:14 2020 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=af419e91
app-metrics/fusioninventory-agent: Fix deps
Fix path for ip and ifconfig. Fix threads dep
Thanks to Alexey Naikov.
Package-Manager: Portage-3.0.11, Repoman-3.0.2
Signed-off-by: Alexey Shvetsov <alexxy <AT> gentoo.org>
.../fusioninventory-agent-2.5.2.ebuild | 18 ++++++++++++++++--
1 file changed, 16 insertions(+), 2 deletions(-)
diff --git
a/app-metrics/fusioninventory-agent/fusioninventory-agent-2.5.2.ebuild
b/app-metrics/fusioninventory-agent/fusioninventory-agent-2.5.2.ebuild
index 50d906752ad..9756d407378 100644
--- a/app-metrics/fusioninventory-agent/fusioninventory-agent-2.5.2.ebuild
+++ b/app-metrics/fusioninventory-agent/fusioninventory-agent-2.5.2.ebuild
@@ -23,17 +23,31 @@ DEPEND="
dev-perl/XML-TreePP
dev-perl/XML-XPath
virtual/perl-IO-Compress
+ virtual/perl-threads
dev-perl/HTTP-Daemon
dev-perl/IO-Socket-SSL
dev-perl/LWP-Protocol-https
dev-perl/Proc-Daemon
- "
+"
RDEPEND="${DEPEND}"
BDEPEND="
dev-perl/Module-Install
- "
+ dev-perl/File-Copy-Recursive
+ app-portage/gentoolkit
+"
+
PATCHES=( "${FILESDIR}/${P}-dirs.patch" )
+src_prepare() {
+ # gentoo has ip under /bin/ip and ifconfig under /bin/ifconfig
+ sed \
+ -e "s:/sbin/ifconfig:/bin/ifconfig:g" \
+ -e "s:/sbin/ip:/bin/ip:g" \
+ -i lib/FusionInventory/Agent/Task/Inventory/Linux/Networks.pm \
+ -i lib/FusionInventory/Agent/Tools/Linux.pm || die
+ default
+}
+
src_install() {
default
systemd_dounit contrib/unix/fusioninventory-agent.service